Contents

# Cos Function

Računa kosinus kuta. Kut je označen u radijanima. Rezultat se nalazi između -1 i 1

Using the angle Alpha, the Cos function calculates the ratio of the length of the side that is adjacent to the angle, divided by the length of the hypotenuse in a right-angled triangle.

Cos(Alpha) = Adjacent/Hypotenuse

### Syntax:

    Cos (Number As Double) As Double

### Return value:

Double

### Parameters:

Number: Numeric expression that specifies an angle in radians that you want to calculate the cosine for.

Da bi pretvorili stupnjeve u radijane, pomnožite stupnjeve s pi/180. Da bi pretvorili radijane u stupnjeve pomnožite radijane sa 180/pi

degree=(radian*180)/pi

radian=(degree*pi)/180

Pi is here the fixed circle constant with the rounded value 3.14159...

### Error codes:

5 Invalid procedure call

### Example:

    REM sljedeći primjer omogućava unošenje desno orijentiranog kuta u trokuta
    REM sekantu i kut (u stupnjevima) i izračunava dužinu hipotenuze
    Sub ExampleCosinus
    REM zaokruži Pi = 3.14159
    Dim d1 As Double, dAngle As Double
        d1 = InputBox$ (""Unesi dužinu susjedne stranice: ","Adjacent")
        dAngle = InputBox("Unesi kut alpha (u stupnjevima): ","Alpha")
        Print "The length of the hypotenuse is"; (d1 / cos (dAngle * Pi / 180))
    End Sub

Related Topics

Atn Function

Sin Function

Tan Function